MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025722Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-01-20 09:332015-05-14 15:33
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025722: Wrong implementation of SetFuzzyValue method
DescriptionWrong implementation of SetFuzzyValue method - it is impossible to set it to 0.
Steps To Reproducebox b1 10 10 10
box b2 10.0001 0 0 10 10 10
bfuzzyvalue 0.0001
bclearobjects; bcleartools
baddobjects b1; baddtools b2
bfillds
bbop r 1
nbs r
# one solid in the result - correct
bfuzzyvalue 0.
box b1 10 10 10
box b2 10.0001 0 0 10 10 10
bclearobjects; bcleartools
baddobjects b1; baddtools b2
bfillds
bbop r 1
nbs r
# one solid again - not correct. must be two solids
TagsNo tags attached.
Test case numberbugs modalg_5 bug25722
Attached Files

- Relationships

-  Notes
(0036233)
git (administrator)
2015-01-20 10:01

Branch CR25722 has been created by emv.

SHA-1: 24ff0dc3e157cff7ab88c95dea49f2c713804eaf


Detailed log of new commits:

Author: emv
Date: Tue Jan 20 10:00:54 2015 +0300

    0025722: Wrong implementation of SetFuzzyValue method
    
    The following methods
      void BOPAlgo_ArgumentAnalyzer::SetFuzzyValue(const Standard_Real theFuzz)
      void BOPAlgo_Builder::SetFuzzyValue(const Standard_Real theFuzz)
      void BOPAlgo_PaveFiller::SetFuzzyValue(const Standard_Real theFuzz)
      void BOPDS_DS::SetFuzzyValue(const Standard_Real theFuzz)
      void BRepAlgoAPI_BuilderAlgo::SetFuzzyValue(const Standard_Real theFuzz)
      void BRepAlgoAPI_Check::SetFuzzyValue(const Standard_Real theFuzz)
    have been corrected.
(0036236)
emv (developer)
2015-01-20 10:03

Git branch CR25722 is ready to be reviewed.
(0036282)
pkv (developer)
2015-01-21 05:49

Reviewed
(0036383)
git (administrator)
2015-01-22 13:33

Branch CR25722 has been updated by apn.

SHA-1: d6622524850af10eb6dabb7896f10b4bff24ede4


Detailed log of new commits:

Author: apn
Date: Thu Jan 22 13:33:33 2015 +0300

    Added test case bugs/modalg_5/bug25722

(0036384)
apn (administrator)
2015-01-22 13:36

Dear BugMaster,
Branch CR25722 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: d6622524850af10eb6dabb7896f10b4bff24ede4

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions

Testing cases:
bugs modalg_5 bug25722 - OK
http://occt-tests/CR25722-master-occt/Debian60-64/bugs/modalg_5/bug25722.html [^]
http://occt-tests/CR25722-master-occt/Windows-32-VC10/bugs/modalg_5/bug25722.html [^]

Testing on Linux:
Total MEMORY difference: 370136408 / 369907280
Total CPU difference: 49164.18000000015 / 46828.580000000045

Testing on Windows:
Total MEMORY difference: 276532160 / 276837572
Total CPU difference: 34976.6875 / 39964.359375

There are not differences in images found by testdiff.
(0036508)
git (administrator)
2015-01-26 12:31

Branch CR25722 has been deleted by inv.

SHA-1: d6622524850af10eb6dabb7896f10b4bff24ede4

- Related Changesets
occt: master 92e24f9d
Timestamp: 2015-01-22 14:24:00
Author: emv
Committer: bugmaster
Details ] Diff ]
0025722: Wrong implementation of SetFuzzyValue method

The following methods
  void BOPAlgo_ArgumentAnalyzer::SetFuzzyValue(const Standard_Real theFuzz)
  void BOPAlgo_Builder::SetFuzzyValue(const Standard_Real theFuzz)
  void BOPAlgo_PaveFiller::SetFuzzyValue(const Standard_Real theFuzz)
  void BOPDS_DS::SetFuzzyValue(const Standard_Real theFuzz)
  void BRepAlgoAPI_BuilderAlgo::SetFuzzyValue(const Standard_Real theFuzz)
  void BRepAlgoAPI_Check::SetFuzzyValue(const Standard_Real theFuzz)
have been corrected.

Added test case bugs/modalg_5/bug25722
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.lxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.lxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_BuilderAlgo.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25722 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-20 09:33 emv New Issue
2015-01-20 09:33 emv Assigned To => emv
2015-01-20 10:01 git Note Added: 0036233
2015-01-20 10:03 emv Note Added: 0036236
2015-01-20 10:03 emv Assigned To emv => pkv
2015-01-20 10:03 emv Status new => resolved
2015-01-21 05:49 pkv Note Added: 0036282
2015-01-21 05:50 pkv Assigned To pkv => mkv
2015-01-21 05:50 pkv Status resolved => reviewed
2015-01-21 13:52 apn Assigned To mkv => apn
2015-01-22 13:33 git Note Added: 0036383
2015-01-22 13:36 apn Note Added: 0036384
2015-01-22 13:37 apn Test case number => bugs modalg_5 bug25722
2015-01-22 13:37 apn Assigned To apn => bugmaster
2015-01-22 13:37 apn Status reviewed => tested
2015-01-23 16:19 bugmaster Changeset attached => occt master 92e24f9d
2015-01-23 16:19 bugmaster Status tested => verified
2015-01-23 16:19 bugmaster Resolution open => fixed
2015-01-26 12:31 git Note Added: 0036508
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker